<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [BrowserFetcher](./puppeteer.browserfetcher.md) &gt; [remove](./puppeteer.browserfetcher.remove.md)

## BrowserFetcher.remove() method

<b>Signature:</b>

```typescript
remove(revision: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  revision | string | A revision to remove for the current <code>product</code>. |

<b>Returns:</b>

Promise&lt;void&gt;

A promise that resolves when the revision has been removes or throws if the revision has not been downloaded.

## Remarks

This method is affected by the current `product`<!-- -->.

